LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XParametersSupplier Interface Referencepublished

provides the access to a container of parameters, typically used for a prepared statement. More...

`import"XParametersSupplier.idl";`

Inheritance diagram for XParametersSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getParameters ()
| returns the container of parameters. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the access to a container of parameters, typically used for a prepared statement.

## Member Function Documentation

## ◆ getParameters()

com::sun::star::container::XIndexAccess getParameters | ( |  | ) |

returns the container of parameters.

Returns
  the parameters

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XParametersSupplier.idl